%global with_doc 1

Summary:    Python API and CLI for OpenStack Neutron
Name:       python-neutronclient
Version:    7.3.0
Release:    2%{?dist}
License:    Apache-2.0
URL:        http://launchpad.net/%{name}/
Source0:    https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:  noarch

%description
This is a client library for Neutron built on the Neutron API. It provides a Python API (the 
neutronclient module) and a command-line tool (neutron).

%package -n python3-neutronclient
Summary:    Python API and CLI for OpenStack Neutron

BuildRequires: git
BuildRequires: python3-devel python3-setuptools python3-pbr python3-pip
BuildRequires: python3-osc-lib python3-oslotest python3-testtools python3-cliff
BuildRequires: python3-testrepository python3-testscenarios
BuildRequires: python3-keystoneauth1 python3-keystoneclient
BuildRequires: python3-os-client-config python3-oslo-log
BuildRequires: python3-oslo-serialization python3-oslo-utils
Requires: python3-iso8601 python3-os-client-config python3-oslo-i18n
Requires: python3-oslo-log python3-oslo-serialization python3-oslo-utils
Requires: python3-requests python3-debtcollector python3-osc-lib
Requires: python3-keystoneauth1 python3-keystoneclient python3-cliff
Requires: python3-pbr python3-netaddr python3-simplejson

%description -n python3-neutronclient
This is a client library for Neutron built on the Neutron API. It provides a Python API (the 
neutronclient module) and a command-line tool (neutron).

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Neutron API Client

BuildRequires:    python3-sphinx python3-openstackdocstheme python3-reno

%description      doc
This package provides the documentation for OpenStack Neutron API Client.
%endif

%prep
%autosetup -n python-neutronclient-%{version}
rm -rf *requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
export PYTHONPATH=.
sphinx-build -b html doc/source doc/build/html
rm -rf doc/build/html/.doctrees doc/build/html/.buildinfo
%endif

%install
%{py3_install}

ln -s neutron %{buildroot}%{_bindir}/neutron-3

%check
%{__python3} setup.py testr || true

%files -n python3-neutronclient
%license LICENSE
%doc README.rst
%{_bindir}/neutron
%{_bindir}/neutron-3
%{python3_sitelib}/neutronclient
%{python3_sitelib}/*.egg-info

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Wang Guodong <gordonwwang@tencent.com> - 7.3.0-1
- initial build
